@admin @auth @sign-in
Feature: sign in

  Scenario: Sign in correct credentials
    When I send a POST request to "/admin/auth/sign-in" with body:
      """
      {
        "email": "superadmin@gmail.com",
        "password": "12345"
      }
      """
    Then I get a status code 200
    And I get a response body with a field "accessToken"


  Scenario: Sign in as non-existent credentials
    When I send a POST request to "/admin/auth/sign-in" with body:
      """
      {
        "email": "nonexiting_superadmin@gmail.com",
        "password": "12345"
      }
      """
    Then I get a status code 400
