@driver @delete

Feature: Delete driver

  Background:
    Given the system has a "user" with id "26630330-b847-4675-b70b-a319acce53be"
    And the system has a "driver" with:
      """
      {
        "id": "82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d",
        "user": {
          "id": "26630330-b847-4675-b70b-a319acce53be"
        }
      }
      """

  Scenario Outline: with new information
    Given I log in as "<role>"
    When I send a DELETE request to "/drivers/82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d"
    Then I get a status code 204
    And the system cannot find the deleted "driver" with id "82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d"
    And the system cannot find the deleted "user" with id "26630330-b847-4675-b70b-a319acce53be"

    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
