@transport-company @update

Feature: Update transport company



  Background:
    Given the system has a "transport company" with id "132d04ad-ae9b-452b-a0e5-96d2fb57dd37"

  Scenario Outline: Update a existing transport company

    Given I log in as "<role>"
    When I send a PATCH request to "/transport-companies/132d04ad-ae9b-452b-a0e5-96d2fb57dd37" with body:
      """
      {
        "rut": "changed_rut",
        "email": "changed_random_email@gmail.com",
        "legalName": "changed_random_legal_name",
        "legalAddress": "changed_random_legal_address",
        "phoneNumber": "changed_random_phoneNumber"
      }
      """
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "rut": "changed_rut",
        "email": "changed_random_email@gmail.com",
        "legalName": "changed_random_legal_name",
        "legalAddress": "changed_random_legal_address",
        "phoneNumber": "changed_random_phoneNumber"
      }
      """

    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
