import { BaseTenantEntity } from './_base-tenant.entity'
import { ShippingStatus } from './_types'
import { DriverEntity } from './driver.entity'
import { InvoiceEntity } from './invoice.entity'
import { OrderEntity } from './order.entity'
import { ShippingReceiverEntity } from './shipping-receiver.entity'
import { ShippingStatusHistoryEntity } from './shipping-status-history.entity'
import { TransportCompanyEntity } from './transport-company.entity'

export interface ShippingEntity extends BaseTenantEntity {
  trackingNumber: number
  price: number
  status: ShippingStatus

  transportCompany?: TransportCompanyEntity
  driver?: DriverEntity
  order?: OrderEntity
  invoice?: InvoiceEntity
  shippingStatusHistories?: ShippingStatusHistoryEntity[]
  shippingReceiver?: ShippingReceiverEntity
}
