import { SuperAdminEntity } from '@/libs/domain/entities/master/super-admin.entity'
import { BaseMasterEntitySchema } from './_base-master-schema'

export const superAdminSchema = new BaseMasterEntitySchema<SuperAdminEntity>({
  name: 'superAdmin',
  columns: {
    email: {
      type: String,
      unique: true,
    },
    password: {
      type: String,
      select: false,
    },
    isActive: {
      type: Boolean,
      default: false,
    },
  },
})
