@admin @default-field @create

Feature: Create default field

  Background:
    Given the system has a "tenant category" with id "f6987e20-0b23-4c0b-b872-7b33edf87e75"


  Scenario: Create new default field
    Given I log in as "super admin"
    When I send a POST request to "/admin/default-fields/" with body:
      """
      {
        "label": "random_label",
        "placeholder": "random_placeholder",
        "span": 8,
        "order": 4,
        "type": "text",
        "categoryId": "f6987e20-0b23-4c0b-b872-7b33edf87e75"
      }
      """

    Then I get a status code 201
    And I get a response body with:
      """
      {
        "label": "random_label",
        "placeholder": "random_placeholder",
        "span": 8,
        "order": 4,
        "type": "text",
        "category": {
          "id": "f6987e20-0b23-4c0b-b872-7b33edf87e75"
        }
      }
      """


