@driver @show
Feature: Show driver

  Background:
    Given the system has a "transport company" with id "132d04ad-ae9b-452b-a0e5-96d2fb57dd37"
    And the system has a "user" with id "18c4c284-da76-49ba-8c09-5d333e0a577b"
    And the system has a "driver" with:
      """
      {
        "id": "82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d",
        "user": {
          "id": "18c4c284-da76-49ba-8c09-5d333e0a577b"
        },
        "transportCompany": {
          "id": "132d04ad-ae9b-452b-a0e5-96d2fb57dd37"
        }
      }
      """

  Scenario Outline: Show existing driver
    Given I log in as "<role>"
    When I send a GET request to "/drivers/82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d"
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "id": "82cf32a2-ae3a-4b79-b3ae-c807cc46ff1d",
        "user": {
          "id": "18c4c284-da76-49ba-8c09-5d333e0a577b"
        },
        "transportCompany": {
          "id": "132d04ad-ae9b-452b-a0e5-96d2fb57dd37"
        }
      }
      """
    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
