@transport-company @list
Feature: List transport companies


  Background:
    Given the system has a "transport company" with:
      """
      {
        "id": "132d04ad-ae9b-452b-a0e5-96d2fb57dd37",
        "rut": "some_random_rut",
        "email": "some_random_email@gmail.com",
        "legalName": "some_random_legal_name",
        "legalAddress": "some_random_legal_address",
        "phoneNumber": "some_random_phoneNumber"
      }
      """

  Scenario Outline: List transport companies
    Given I log in as "<role>"
    When I send a GET request to "/transport-companies"
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "total": 2,
        "results": [
          {
            "id": "132d04ad-ae9b-452b-a0e5-96d2fb57dd37",
            "rut": "some_random_rut",
            "email": "some_random_email@gmail.com",
            "legalName": "some_random_legal_name",
            "legalAddress": "some_random_legal_address",
            "phoneNumber": "some_random_phoneNumber"
          }
        ]
      }
      """
    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
