import { Injectable } from '@/core/api/di/decorators'
import { DefaultFieldEntity } from '@/libs/domain/entities/master/default-field.entity'
import { DefaultFieldRepository } from '@/libs/domain/repositories/master/default-field.repository'

@Injectable()
export class ShowDefaultFieldUseCase {
  constructor(private readonly defaultFieldRepository: DefaultFieldRepository) {}

  async run(id: string): Promise<DefaultFieldEntity> {
    const defaultField = await this.defaultFieldRepository.findOne({
      id,
    })

    return defaultField!
  }
}
