import { BaseTenantEntity } from './_base-tenant.entity'
import { DriverEntity } from './driver.entity'
import { ShippingEntity } from './shipping.entity'
import { TransportPaymentEntity } from './transport-payment.entity'

export interface TransportCompanyEntity extends BaseTenantEntity {
  rut: string
  legalName: string
  legalAddress: string
  phoneNumber: string
  email: string

  transportPayments?: TransportPaymentEntity[]
  shippings?: ShippingEntity[]
  drivers?: DriverEntity[]
}
